Patch package OTP 19.3.6.6 released

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Patch package OTP 19.3.6.6 released

Hans Nilsson R (AL/EAB)
Patch Package:           OTP 19.3.6.6
Git Tag:                 OTP-19.3.6.6
Date:                    2018-03-02
Trouble Report Id:       OTP-14881, OTP-14929
Seq num:
System:                  OTP
Release:                 19
Application:             ssh-4.4.2.2, ssl-8.1.3.1.1
Predecessor:             OTP 19.3.6.5

 Check out the git tag OTP-19.3.6.6, and build a full OTP system
 including documentation. Apply one or more applications from this
 build as patches to your installation using the 'otp_patch_apply'
 tool. For information on install requirements, see descriptions for
 each application version below.

 ---------------------------------------------------------------------
 --- ssh-4.4.2.2 -----------------------------------------------------
 ---------------------------------------------------------------------

 Note! The ssh-4.4.2.2 application can *not* be applied independently
       of other applications on an arbitrary OTP 19 installation.

       On a full OTP 19 installation, also the following runtime
       dependencies have to be satisfied:
       -- crypto-3.7.3 (first satisfied in OTP 19.3)
       -- public_key-1.4 (first satisfied in OTP 19.3)
       -- stdlib-3.3 (first satisfied in OTP 19.3)


 --- Improvements and New Features ---

  OTP-14881    Application(s): ssh

               Default exec is disabled when a user-defined shell is
               enabled.


 Full runtime dependencies of ssh-4.4.2.2: crypto-3.7.3, erts-6.0,
 kernel-3.0, public_key-1.4, stdlib-3.3


 ---------------------------------------------------------------------
 --- ssl-8.1.3.1.1 ---------------------------------------------------
 ---------------------------------------------------------------------

 Note! The ssl-8.1.3.1.1 application can *not* be applied
       independently of other applications on an arbitrary OTP 19
       installation.

       On a full OTP 19 installation, also the following runtime
       dependency has to be satisfied:
       -- stdlib-3.2 (first satisfied in OTP 19.2)


 --- Fixed Bugs and Malfunctions ---

  OTP-14929    Application(s): ssl

               Fix alert handling so that unexpected messages are
               logged and alerted correctly


 Full runtime dependencies of ssl-8.1.3.1.1: crypto-3.3, erts-7.0,
 inets-5.10.7, kernel-3.0, public_key-1.2, stdlib-3.2


 ---------------------------------------------------------------------
 ---------------------------------------------------------------------
 ---------------------------------------------------------------------


_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions

smime.p7s (5K) Download Attachment